Retrieve location delivery analytics
curl --request GET \
--url https://server.chataigne.ai/v1/locations/{location_id}/analytics/delivery \
--header 'x-api-key: <api-key>'import requests
url = "https://server.chataigne.ai/v1/locations/{location_id}/analytics/delivery"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://server.chataigne.ai/v1/locations/{location_id}/analytics/delivery', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "location_delivery_analytics",
"location_id": "loc_r8v4n2c6tz",
"period": {
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"service_type": "delivery"
},
"currency": "EUR",
"summary": {
"failed_delivery_count": 2,
"provider_delivery_cost": 420.25,
"customer_delivery_fee": 310,
"delivery_fee_balance": -110.25
},
"top_cities": [
{
"city": "Paris",
"order_count": 64
}
]
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "<string>",
"request_id": "req_8f2c…",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "<string>",
"request_id": "req_8f2c…",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "<string>",
"request_id": "req_8f2c…",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "<string>",
"request_id": "req_8f2c…",
"param": "<string>",
"details": {}
}
}Analytics
Retrieve location delivery analytics
GET
/
v1
/
locations
/
{location_id}
/
analytics
/
delivery
Retrieve location delivery analytics
Authorizations
Location/organization API key.
Path Parameters
Query Parameters
Start of the analytics period. If both from and to are omitted, the period defaults to the last 30 days.
End of the analytics period. If both from and to are omitted, the period defaults to now.
Restrict order-backed statistics to delivery or collection orders.
Available options:
delivery, collection Response
The location delivery analytics.
Available options:
location_delivery_analytics Example:
"loc_r8v4n2c6tz"
Show child attributes
Show child attributes
Example:
"EUR"
Show child attributes
Show child attributes
Up to ten cities ranked by delivered order count.
Show child attributes
Show child attributes